/**
 * Copyright since 2007 PrestaShop SA and Contributors
 * PrestaShop is an International Registered Trademark & Property of PrestaShop SA
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License version 3.0
 * that is bundled with this package in the file LICENSE.md.
 * It is also available through the world-wide-web at this URL:
 * https://opensource.org/licenses/AFL-3.0
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * @author    PrestaShop SA and Contributors <contact@prestashop.com>
 * @copyright Since 2007 PrestaShop SA and Contributors
 * @license   https://opensource.org/licenses/AFL-3.0 Academic Free License version 3.0
 */

let headTags = "";
function tagExist(tagName, searchString) {
  const tags = document.getElementsByTagName(tagName);
  const tagsList = Array.prototype.slice.call(tags);
  const searchedTag = tagsList.find((tag) => tag.outerHTML === searchString);
  if (searchedTag === undefined) {
    return false;
  }
  return true;
}

function setFonts() {
  const preconnect = '<link rel="preconnect" href="https://fonts.gstatic.com">';
  const fontStyle =
    '<link href="https://fonts.googleapis.com/css2?family=Inter&display=swap" rel="stylesheet">';

  if (!tagExist("link", preconnect)) {
    headTags = headTags + preconnect;
  }

  if (!tagExist("link", fontStyle)) {
    headTags = headTags + fontStyle;
  }

  if (headTags !== "") {
    document
      .getElementsByTagName("head")[0]
      .insertAdjacentHTML("beforeend", headTags);
  }
}

$(document).ready(function () {
  setFonts();
});
